<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.527
Name: Informazioni Aggiuntive(RAD)
Description: Conclusions [Interpretation] Document (LOINC: 55110-1 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519">
   <title>Informazioni Aggiuntive(RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.527
Context: *[hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Conclusioni)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.527
Context: *[hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Conclusioni)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3777-false-d53041e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="string(@ID) = ('Informazioni_Aggiuntive')">(Conclusioni): The value for ID SHALL be 'Informazioni_Aggiuntive'. Found: "<value-of select="@ID"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Conclusioni): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Conclusioni): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="count(hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Conclusioni): element hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="count(hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Conclusioni): element hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="count(hl7:title) &lt;= 1">(Conclusioni): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="count(hl7:text) &gt;= 1">(Conclusioni): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="count(hl7:text) &lt;= 1">(Conclusioni): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.527
Context: *[hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Conclusioni)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3783-false-d53085e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="string(@code) = ('55107-7')">(Conclusioni): The value for code SHALL be '55107-7'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Conclusioni): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Conclusioni): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Conclusioni): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="string(@displayName) = ('Appendice') or not(@displayName)">(Conclusioni): The value for displayName SHALL be 'Appendice'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.527-2024-03-14T174519.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Conclusioni): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.527
Context: *[hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Conclusioni)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.527
Context: *[hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Conclusioni)
-->
</pattern>
