<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.528
Name: Complicanze (RAD)
Description: Comparison With Previous Exams Performed (LOINC: X1-8 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022">
   <title>Complicanze (RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3810-false-d53150e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@ID) = ('COMPLICANZE')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for ID SHALL be 'COMPLICANZE'. Found: "<value-of select="@ID"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:title) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:text) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:text) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3816-false-d53201e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@code) = ('55109-3')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for code SHALL be '55109-3'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@displayName) = ('Complicazioni') or not(@displayName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for displayName SHALL be 'Complicazioni'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]"
         id="d42e3831-false-d53246e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3834-false-d53264e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@moodCode) = ('EVN')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@classCode) = ('OBS')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:value) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="count(hl7:value) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3839-false-d53304e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@code) = ('75326-9')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for code SHALL be '75326-9'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="string(@displayName) = ('Problem') or not(@displayName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for displayName SHALL be 'Problem'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:effectiveTime
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.528
Context: *[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55109-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value"
         id="d42e3858-false-d53340e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.528-2024-03-14T175022.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(Confronto_Con_Precedenti_Esami_Eseguiti): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
