<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.523
Name: Precedenti Esami Eseguiti (RAD)
Description: Comparison With Previous Exams Performed (LOINC: X1-8 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631">
   <title>Precedenti Esami Eseguiti (RAD)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3509-false-d52249e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@ID) = ('ESAME_ESEGUITO')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for ID SHALL be 'ESAME_ESEGUITO'. Found: "<value-of select="@ID"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:title) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:text) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:text) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:entry) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:entry appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3515-false-d52299e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@code) = ('55114-3')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for code SHALL be '55114-3'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@displayName) = ('Precedente procedura di imaging, descrizioni') or not(@displayName)">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for displayName SHALL be 'Precedente procedura di imaging, descrizioni'. Found: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']"
         id="d42e3533-false-d52354e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@moodCode) = ('EVN')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="string(@classCode) = ('OBS')">(Confronto_Con_Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:code) &gt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:code) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:value) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code"
         id="d42e3538-false-d52390e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="@code">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="@codeSystem">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="count(hl7:translation) &lt;= 1">(Confronto_Con_Precedenti_Esami_Eseguiti): element hl7:translation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code/hl7:translation
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:code/hl7:translation"
         id="d42e3566-false-d52420e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="@code">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="@codeSystem">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:effectiveTime
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.523
Context: *[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value
Item: (Confronto_Con_Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '55114-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry/hl7:observation[@classCode = 'OBS'][@moodCode = 'EVN']/hl7:value"
         id="d42e3585-false-d52452e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="@xsi:type">(Confronto_Con_Precedenti_Esami_Eseguiti): attribute @xsi:type SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240328T093519/tmp-2.16.840.1.113883.3.1937.777.63.10.523-2024-03-14T125631.html"
              test="not(@xsi:type) or string-length(@xsi:type)&gt;0">(Confronto_Con_Precedenti_Esami_Eseguiti): Attribute @xsi:type SHALL be of data type 'st'  - '<value-of select="@xsi:type"/>'</assert>
   </rule>
</pattern>
